/**
 * @Author Manel Herrera - UOC - PFC
 * @Date 2011/Q4 - V1.0
 *
 * Classe que modela una categoria de curs Moodle
 */

package edu.manelherrera.pfc.cla;

public class Category {
	private int id;
	private String name;
	private String description;
	private int parent;
	
	public Category(int id, String name, String description, int parent) {
		setId(id);
		setName(name);
		setDescription(description);
		setParent(parent);
	}

	private void setId(int id) {
		this.id = id;
	}

	private void setName(String name) {
		this.name = name;
	}

	private void setDescription(String description) {
		this.description = description;
	}

	private void setParent(int parent) {
		this.parent = parent;
	}

	public int getId() {
		return id;
	}

	public String getName() {
		return name;
	}

	public String getDescription() {
		return description;
	}

	public int getParent() {
		return parent;
	}

}
