/**
 * @Author Manel Herrera - UOC - PFC
 * @Date 2011/Q4 - V1.0
 *
 * Classe que modela una usuari Moodle
 */

package edu.manelherrera.pfc.cla;

public class User {
	private String userName;
	private String firstName;
	private String lastName;
	private String eMail;
	private String idNumber;
	private String password;
	
	public User (String userName, String password, String firstName, String lastName, 
				 String eMail) {
		setUserName(userName);
		setFirstName(firstName);
		setLastName(lastName);
		setEmail(eMail);
		setPassword(password);
	}

	private void setUserName(String userName) {
		this.userName = userName;
	}

	private void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	private void setLastName(String lastName) {
		this.lastName = lastName;
	}

	private void setEmail(String eMail) {
		this.eMail = eMail;
	}

	public void setIdNumber(String idNumber) {
		this.idNumber = idNumber;
	}

	private void setPassword(String password) {
		this.password = password;
	}

	public String getuserName() {
		return userName;
	}

	public String getfirstName() {
		return firstName;
	}

	public String getlastName() {
		return lastName;
	}

	public String geteMail() {
		return eMail;
	}

	public String getidNumber() {
		return idNumber;
	}

	public String getpassword() {
		return password;
	}
}
